## org.apache.catalina.logger
Class LoggerBase

    java.lang.Object
      org.apache.catalina.logger.LoggerBase

All Implemented Interfaces:
  Logger

Direct Known Subclasses:
  FileLogger, SystemErrLogger, SystemOutLogger

public abstract class LoggerBase
extends java.lang.Object
implements Logger

Convenience base class for Logger implementations. The only method that must be implemented is `log(String msg)`, plus any property setting and lifecycle methods required for configuration.

Version:
  $Revision: 1.6 $ $Date: 2004/08/26 21:34:37 $
Author:
  Craig R. McClanahan

Field Summary
`protected Container` `container` The Container with which this Logger has been associated.
`protected int` `debug` The debugging detail level for this component.
`protected static java.lang.String` `info` The descriptive information about this implementation.
`protected java.beans.PropertyChangeSupport` `support` The property change support for this component.
`protected int` `verbosity` The verbosity level for above which log messages may be filtered.

Fields inherited from interface org.apache.catalina.Logger
`DEBUG, ERROR, FATAL, INFORMATION, WARNING`

Constructor Summary
`LoggerBase()`

Method Summary
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener listener)` Add a property change listener to this component.
`Container` `getContainer()` Return the Container with which this Logger has been associated.
`int` `getDebug()` Return the debugging detail level for this component.
`java.lang.String` `getInfo()` Return descriptive information about this Logger implementation and the corresponding version number, in the format `<description>/<version>`.
`int` `getVerbosity()` Return the verbosity level of this logger.
`void` `log(java.lang.Exception exception, java.lang.String msg)` Writes the specified exception, and message, to a servlet log file.
`abstract void` `log(java.lang.String msg)` Writes the specified message to a servlet log file, usually an event log.
`void` `log(java.lang.String message, int verbosity)` Writes the specified message to the servlet log file, usually an event log, if the logger is set to a verbosity level equal to or higher than the specified value for this message.
`void` `log(java.lang.String msg, java.lang.Throwable throwable)` Writes an explanatory message and a stack trace for a given `Throwable` exception to the servlet log file.
`void` `log(java.lang.String message, java.lang.Throwable throwable, int verbosity)` Writes the specified message and exception to the servlet log file, usually an event log, if the logger is set to a verbosity level equal to or higher than the specified value for this message.
`void` `removePropertyChangeListener(java.beans.PropertyChangeListener listener)` Remove a property change listener from this component.
`void` `setContainer(Container container)` Set the Container with which this Logger has been associated.
`void` `setDebug(int debug)` Set the debugging detail level for this component.
`void` `setVerbosity(int verbosity)` Set the verbosity level of this logger.
`void` `setVerbosityLevel(java.lang.String verbosity)` Set the verbosity level of this logger.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### container

    protected Container container

  The Container with which this Logger has been associated.

### debug

    protected int debug

  The debugging detail level for this component.

### info

    protected static final java.lang.String info

  The descriptive information about this implementation.

  See Also:
    Constant Field Values

### support

    protected java.beans.PropertyChangeSupport support

  The property change support for this component.

### verbosity

    protected int verbosity

  The verbosity level for above which log messages may be filtered.

Constructor Detail

### LoggerBase

    public LoggerBase()

Method Detail

### getContainer

    public Container getContainer()

  Return the Container with which this Logger has been associated.

  Specified by:
    `getContainer` in interface `Logger`

### setContainer

    public void setContainer(Container container)

  Set the Container with which this Logger has been associated.

  Specified by:
    `setContainer` in interface `Logger`
  Parameters:
    `container` - The associated Container

### getDebug

    public int getDebug()

  Return the debugging detail level for this component.

### setDebug

    public void setDebug(int debug)

  Set the debugging detail level for this component.

  Parameters:
    `debug` - The new debugging detail level

### getInfo

    public java.lang.String getInfo()

  Return descriptive information about this Logger implementation and the corresponding version number, in the format `<description>/<version>`.

  Specified by:
    `getInfo` in interface `Logger`

### getVerbosity

    public int getVerbosity()

  Return the verbosity level of this logger. Messages logged with a higher verbosity than this level will be silently ignored.

  Specified by:
    `getVerbosity` in interface `Logger`

### setVerbosity

    public void setVerbosity(int verbosity)

  Set the verbosity level of this logger. Messages logged with a higher verbosity than this level will be silently ignored.

  Specified by:
    `setVerbosity` in interface `Logger`
  Parameters:
    `verbosity` - The new verbosity level

### setVerbosityLevel

    public void setVerbosityLevel(java.lang.String verbosity)

  Set the verbosity level of this logger. Messages logged with a higher verbosity than this level will be silently ignored.

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener listener)

  Add a property change listener to this component.

  Specified by:
    `addPropertyChangeListener` in interface `Logger`
  Parameters:
    `listener` - The listener to add

### log

    public abstract void log(java.lang.String msg)

  Writes the specified message to a servlet log file, usually an event log. The name and type of the servlet log is specific to the servlet container. This message will be logged unconditionally.

  Specified by:
    `log` in interface `Logger`
  Parameters:
    `msg` - A `String` specifying the message to be written to the log file

### log

    public void log(java.lang.Exception exception,
                    java.lang.String msg)

  Writes the specified exception, and message, to a servlet log file. The implementation of this method should call `log(msg, exception)` instead. This method is deprecated in the ServletContext interface, but not deprecated here to avoid many useless compiler warnings. This message will be logged unconditionally.

  Specified by:
    `log` in interface `Logger`
  Parameters:
    `exception` - An `Exception` to be reported
    `msg` - The associated message string

### log

    public void log(java.lang.String msg,
                    java.lang.Throwable throwable)

  Writes an explanatory message and a stack trace for a given `Throwable` exception to the servlet log file. The name and type of the servlet log file is specific to the servlet container, usually an event log. This message will be logged unconditionally.

  Specified by:
    `log` in interface `Logger`
  Parameters:
    `msg` - A `String` that describes the error or exception
    `throwable` - The `Throwable` error or exception

### log

    public void log(java.lang.String message,
                    int verbosity)

  Writes the specified message to the servlet log file, usually an event log, if the logger is set to a verbosity level equal to or higher than the specified value for this message.

  Specified by:
    `log` in interface `Logger`
  Parameters:
    `message` - A `String` specifying the message to be written to the log file
    `verbosity` - Verbosity level of this message

### log

    public void log(java.lang.String message,
                    java.lang.Throwable throwable,
                    int verbosity)

  Writes the specified message and exception to the servlet log file, usually an event log, if the logger is set to a verbosity level equal to or higher than the specified value for this message.

  Specified by:
    `log` in interface `Logger`
  Parameters:
    `message` - A `String` that describes the error or exception
    `throwable` - The `Throwable` error or exception
    `verbosity` - Verbosity level of this message

### removePropertyChangeListener

    public void removePropertyChangeListener(java.beans.PropertyChangeListener listener)

  Remove a property change listener from this component.

  Specified by:
    `removePropertyChangeListener` in interface `Logger`
  Parameters:
    `listener` - The listener to remove

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.